/*
 * Photo Image Print System
 * Copyright (C) 2002-2005 EPSON AVASYS Corporation.
 * Copyright (C) SEIKO EPSON CORPORATION 2002-2005.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON AVASYS Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON AVASYS Public License and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON AVASYS Public License.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __PIPS_CAPLIB_H__
#define __PIPS_CAPLIB_H__

#include "pipsdef.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

    typedef unsigned int CapID;
    typedef unsigned int CapResultCode;
    typedef void *CapHandle;

    /* Define function pointer for printer capalibity pointer */
    typedef int (*OPENCAP_FUNC)    (CapHandle *, char*, int, char[]);
    typedef int (*CLOSECAP_FUNC)   (CapHandle);
    typedef int (*GETCAPOPT_FUNC)  (CapHandle, CapID, char*);
    typedef int (*SETCAPOPT_FUNC)  (CapHandle, CapID, char*);
    typedef int (*SETCAPLIST_FUNC) (CapHandle, char *argv[], int, char[]);
    typedef int (*REFCAPRNG_FUNC)  (CapHandle, CapID, ElementList);
    typedef int (*FIXCAPCTX_FUNC)  (CapHandle, int);
    typedef int (*REFCAPCTX_FUNC)  (CapHandle, CapContextList*);
    typedef int (*LOADCAPCTX_FUNC) (CapHandle, char *);
    typedef int (*SAVECAPCTX_FUNC) (CapHandle, char*);
    typedef int (*GETPAPERRSC_FUNC)(CapHandle, char *, char *, LP_PS_STRUCT);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __PIPS_CAPLIB_H__ */
